namespace IRaCIS.Core.Domain.Models;

[Comment("医生计费 - 项目工作量收入单价")]
[Table("TrialRevenuesPrice")]
public class TrialRevenuesPrice : BaseFullAuditEntity
{
    public Guid TrialId { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Timepoint { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal TimepointIn24H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal TimepointIn48H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Adjudication { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal AdjudicationIn24H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal AdjudicationIn48H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Global { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Training { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Downtime { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal RefresherTraining { get; set; }

}
